Index: branches/src/ProcessManagement/ProcessManagement/Forms/Master/Unit/FrmUnitMaster.cs
===================================================================
--- branches/src/ProcessManagement/ProcessManagement/Forms/Master/Unit/FrmUnitMaster.cs	(revision 50)
+++ branches/src/ProcessManagement/ProcessManagement/Forms/Master/Unit/FrmUnitMaster.cs	(revision 51)
@@ -75,29 +75,13 @@
         /// 終了ボタン押下フラグ
         /// </summary>
         private bool m_EndButton = false;
-        #endregion
 
-        #region コンストラクタ
-        public FrmUnitMaster()
-        {
-            InitializeComponent();
-        }
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        private bool m_EditLock = false;
         #endregion
-        #region デストラクタ
-        ~FrmUnitMaster()
-        {
-            try
-            {
-                GC.Collect();
-            }
-            catch (Exception ex)
-            {
-                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
-            }
-        }
-        #endregion
 
-
         #region プロパティ
         /// <summary>
         /// ダイアログ使用時フラグ
@@ -120,10 +104,38 @@
         {
             get { return m_UnitKey; }
         }
+
+        /// <summary>
+        /// 参照フラグ
+        /// </summary>
+        public bool EditLock
+        {
+            get { return m_EditLock; }
+            set { m_EditLock = value; }
+        }
         #endregion
 
+        #region コンストラクタ
+        public FrmUnitMaster()
+        {
+            InitializeComponent();
+        }
+        #endregion
+        #region デストラクタ
+        ~FrmUnitMaster()
+        {
+            try
+            {
+                GC.Collect();
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
 
-        #region イベントメソッド
+        #region ×ボタン押下処理
         /// <summary>
         /// ×ボタン押下処理
         /// </summary>
@@ -144,6 +156,9 @@
             // 前プロセスに戻る
             ClsExcute.BackProcess();
         }
+        #endregion
+
+        #region 終了ボタン押下
         /// <summary>
         /// 終了ボタン押下
         /// </summary>
@@ -153,7 +168,9 @@
         {
             this.Close();
         }
+        #endregion
 
+        #region フォームロード
         /// <summary>
         /// フォームロード
         /// </summary>
@@ -175,8 +192,16 @@
 
             // ボタン表示の制御
             ButtonVisble(this);
+
+            // 参照時はデータ変更させない
+            if (m_EditLock)
+            {
+                ExecReadOnly();
+            }
         }
+        #endregion
 
+        #region 行データクリア
         /// <summary>
         /// 行データクリア
         /// </summary>
@@ -188,7 +213,9 @@
             dgvMaster[(int)DispColumn.DisplayOrder, iIndex].Value = "";
             dgvMaster[(int)DispColumn.NameString, iIndex].Value = "";
         }
+        #endregion
 
+        #region グリッド採番処理
         /// <summary>
         /// グリッド採番処理
         /// </summary>
@@ -204,6 +231,9 @@
                     r.Cells[(int)DispColumn.DisplayOrder].Value = "0";
             }
         }
+        #endregion
+
+        #region 行追加ボタン押下
         /// <summary>
         /// 行追加ボタン押下
         /// </summary>
@@ -282,7 +312,9 @@
             //dgvMaster.FirstDisplayedScrollingRowIndex = iIndex;
             //dgvMaster.CurrentCell = dgvMaster[0, iIndex];
         }
+        #endregion
 
+        #region フィールド値変更フラグ
         /// <summary>
         /// フィールド値変更フラグ
         /// </summary>
@@ -292,7 +324,9 @@
         {
             m_bChengeAns = true;
         }
+        #endregion
 
+        #region セル値変化
         /// <summary>
         /// セル値変化
         /// </summary>
@@ -311,7 +345,10 @@
             // 変更フラグON
             m_bChengeAns = true;
         }
-                /// <summary>
+        #endregion
+
+        #region 行削除ボタン押下
+        /// <summary>
         /// 行削除ボタン押下
         /// </summary>
         /// <param name="sender"></param>
@@ -343,6 +380,8 @@
 
                 uDB.commit();
 
+                CommonMotions.RemoveEndMessage("単位登録データ行");
+
                 // データ表示
                 if (!DispGridData()) return;
 
@@ -362,7 +401,9 @@
                 uDB = null;
             }
         }
+        #endregion
 
+        #region 登録ボタン押下
         /// <summary>
         /// 登録ボタン押下
         /// </summary>
@@ -382,7 +423,10 @@
                 int iIndex = dgvMaster.FirstDisplayedScrollingRowIndex;
 
                 // データ登録
-                UnitMasterDataEntry();
+                if (UnitMasterDataEntry())
+                {
+                    CommonMotions.EntryEndMessage("単位登録データ");
+                }
 
                 // データ表示
                 if (!DispGridData()) return;
@@ -398,7 +442,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region IMEのコントロール
         /// <summary>
         /// IMEのコントロール
         /// </summary>
@@ -427,7 +473,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region アップキー押下
         /// <summary>
         /// アップキー押下
         /// </summary>
@@ -454,6 +502,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
+
+        #region ダウンキー押下処理
         /// <summary>
         /// ダウンキー押下処理
         /// </summary>
@@ -481,7 +532,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region セルクリック
         /// <summary>
         /// セルクリック
         /// </summary>
@@ -491,7 +544,9 @@
         {
             dgvMaster_CellDoubleClick(sender, e);
         }
+        #endregion
 
+        #region セルダブルクリック
         /// <summary>
         /// セルダブルクリック
         /// </summary>
@@ -508,7 +563,9 @@
             m_UnitName = CommonMotions.cnvString(((DataGridView)sender).Rows[e.RowIndex].Cells[(int)DispColumn.NameString].Value);
             btnEnd_Click(sender, (EventArgs)e);
         }
+        #endregion
 
+        #region Formキーダウン処理
         /// <summary>
         /// Formキーダウン処理
         /// </summary>
@@ -524,10 +581,9 @@
                 return;
             }
         }
-
         #endregion
 
-        #region プライベートメソッド
+        #region 初期表示処理
         /// <summary>
         /// 初期表示処理
         /// </summary>
@@ -555,7 +611,9 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
             }
         }
+        #endregion
 
+        #region 画面項目のチェック
         /// <summary>
         /// 画面項目のチェック
         /// </summary>
@@ -593,12 +651,14 @@
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
                 return false;
             }
-      }
+        }
+        #endregion
 
+        #region 単位マスタデータ登録
         /// <summary>
         /// 単位マスタデータ登録
         /// </summary>
-        private void UnitMasterDataEntry()
+        private bool UnitMasterDataEntry()
         {
             IOMUnit uDB = new IOMUnit();
             try
@@ -648,7 +708,7 @@
                     {
                         uDB.rollback();
                         MessageBox.Show("登録確認に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                        return;
+                        return false;
                     }
 
                     if (uList.Count == 0)
@@ -662,7 +722,7 @@
                         {
                             uDB.rollback();
                             MessageBox.Show("登録に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                     else
@@ -672,7 +732,7 @@
                         {
                             uDB.rollback();
                             MessageBox.Show("更新に失敗しました。", "登録エラー", MessageBoxButtons.OK, MessageBoxIcon.Error);
-                            return;
+                            return false;
                         }
                     }
                 }
@@ -679,10 +739,13 @@
 
                 // 成功したらcommit
                 uDB.commit();
+
+                return true;
             }
             catch (System.Exception ex)
             {
                 logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+                return false;
             }
             finally
             {
@@ -690,7 +753,9 @@
                 uDB = null;
             }
         }
+        #endregion
 
+        #region 単位マスタ表示
         /// <summary>
         /// 単位マスタ表示
         /// </summary>
@@ -751,7 +816,9 @@
             }
             return true;
         }
+        #endregion
 
+        #region ボタンの表示・非表示制御
         /// <summary>
         /// ボタンの表示・非表示制御
         /// </summary>
@@ -769,16 +836,19 @@
 
             foreach (Control ctrl in Parent.Controls)
             {
-                if (ctrl.GetType().Equals(typeof(Button)))
-                {
-                    // 終了ボタン以外を制御する
-                    if (ctrl.Name.ToString() != btnEnd.Name.ToString()) ctrl.Visible = bAns;
-                }
+                if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                // 終了ボタン以外を制御する
+                if (ctrl.Name.Equals(btnEnd.Name)) continue;
+                    
+                ctrl.Visible = bAns;
             }
             // グリッドの読込のみ制御
             dgvMaster.ReadOnly = m_DialogFlg;
         }
+        #endregion
 
+        #region グリッド最終行での処理
         /// <summary>
         /// グリッド最終行での処理
         /// </summary>
@@ -801,5 +871,33 @@
             }
         }
         #endregion
+
+        #region 参照時ロック処理
+        /// <summary>
+        /// 参照時ロック処理
+        /// </summary>
+        private void ExecReadOnly()
+        {
+            try
+            {
+                foreach (Control ctrl in this.Controls)
+                {
+                    // ボタンの表示制御
+                    if (!ctrl.GetType().Equals(typeof(Button))) continue;
+
+                    // 終了ボタン以外を制御する
+                    if (ctrl.Name.Equals(btnEnd.Name)) continue;
+
+                    ctrl.Visible = false;
+                }
+                // グリッドの読込のみ制御
+                dgvMaster.ReadOnly = true;
+            }
+            catch (Exception ex)
+            {
+                logger.ErrorFormat("システムエラー：{0}：{1}", CommonMotions.GetMethodName(), ex.Message);
+            }
+        }
+        #endregion
     }
 }
\ No newline at end of file
